Subject: [Ips] lun reset and r2t error handling

From: Mike Christie <[email-masked]>
Date: Tue, 11 Aug 2009 15:56:10 -0500

Hi,

For a single connection session with ERL=0 and without FastAbort, if the 
initiator has sent a lun reset task management function and the target 
has sent a R2T, is it ok for the target to send a task management 
response with Function Complete, before the initiator has sent the 
data-out pdus for the R2T? It looks like the reason the target will do 
this is due to a internal target timeout (target did not get the 
data-outs within some timeout period).

If the target does return the task management function with Function 
Complete, should the initiator continue to respond to the R2Ts?

And one other question. In section 10.5.1, we have:

    The issuing initiator SHOULD however terminate (i.e., by setting the
    F-bit to 1) these response sequences as quickly as possible.

Does this mean if we have sent a lun reset, and the target has sent a 
R2T, should we be setting the F-bit in the continued data-out PDU so as 
to end the transfer, even though actual data transfer has not been 
completed entirely?

What if we do send all the data like normal, should that still be ok?

---

From: Julian Satran <[email-masked]>
Date: Wed, 12 Aug 2009 06:46:41 +0300

some answers in text

[email-masked] wrote on 11/08/2009 23:56:10:

> From:
> 
> Mike Christie <[email-masked]>
> 
> To:
> 
> [email-masked], Hannes Reinecke <[email-masked]>, open-iscsi <open-
> [email-masked]>
> 
> Date:
> 
> 11/08/2009 23:57
> 
> Subject:
> 
> [Ips] lun reset and r2t error handling
> 
> Sent by:
> 
> [email-masked]
> 
> Hi,
> 

> Complete, should the initiator continue to respond to the R2Ts?

The initiator doesn't have to send more data but since more data may be 
still in flight
it shouldn't harm to send a "terminating" Dataout. Target should behave OK 
in both cases.

> to end the transfer, even though actual data transfer has not been 
Yes
> What if we do send all the data like normal, should that still be ok?
Yes - receivers are supposed to be lenient.
> _______________________________________________
> Ips mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ips